apiVersion: v1
kind: PersistentVolumeClaim
metadata:
    name: home-assistant-config-pvc
    namespace: home-stuff
spec:
    accessModes:
        - ENC[AES256_GCM,data:1w6P1K7MilOK0RmDbw==,iv:49N4Vk2ngMGEZkzZ0tHmSmR7/zUXn57p820vGhbtFvo=,tag:DRAFZ5KhNCCzbDSRfHaYoA==,type:str]
    storageClassName: ENC[AES256_GCM,data:KGnF//PUfEOe8A==,iv:NhBBcRbJUMI5Hvteh/fkKC7V9SIwPHbhp0X1POMUimA=,tag:g+1xCluYVGlKZOaFMQknjg==,type:str]
    resources:
        requests:
            storage: ENC[AES256_GCM,data:l1sR,iv:/ZjK7m/tnjTdqJa3tU8sdJ6dTA3Dh9HXFzxcuODx6n4=,tag:tNfS2q7qlqQK5ldYsLjp8g==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBlSHpzdlhqRXBEaFp4c0Z6
            NzM3dHJpaW1EajZYS1ZjcURFc3FJZDMxMlZJCmYvUlZ1NU5jdHJGczRSUXNKOFZt
            bjAzMHNVck1tRXQyaU5kdHEwRkRBOGsKLS0tIERtU0dRb2c3WFhqZTVuY0swQU1Q
            Z0J6RlVBcmt4M1hYKzQ4Q2ZleGhyL28KmeedIYmNnb2c62iz31iuZgmh5JdnYcpd
            hQVq7FGVG0Vif9GANwgwq7I637TF9O0RYgp6daXPBwY4jLCwNGsoJA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:01Z"
    mac: ENC[AES256_GCM,data:8Tgpnd+1x4o9I0UwnvCwwqwjj/VmhTgVbF27XHGJJjHsi94xNy3JonmNed1V2JhCZ5YtvYjDoQUriyxAtUjPNgj5IotTfB59ttbxVF54KpLoNre2GTtRwGSGnfVaVcfoigCSljPLS7l8vrCAlE4Er8twuijZ5iv/haJPyd4DoNY=,iv:hErOQ8efQXa4sM1+PT7tlAyGgH9QAjeKZ0VmXIUFdrw=,tag:Seof0uyzM2HfHxD+BhW+6g==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: Service
metadata:
    name: home-assistant-svc
    namespace: home-stuff
spec:
    selector:
        app: ENC[AES256_GCM,data:KS1FOmYgzrSJGw3OGG8=,iv:lelgm8JzA0gJva+KE6/jxykgHScI3vtoEZFbq1Dn74o=,tag:7RXu+QjD/3Pz5dic9Aw3Jw==,type:str]
    ports:
        - port: ENC[AES256_GCM,data:q4n0,iv:xg09DubFz1ZD8mpOdX0gM9CrUoXNHVETuiEPNDQU9UU=,tag:g+Dc4/nfD3lzwOex4z5a9A==,type:int]
          protocol: ENC[AES256_GCM,data:Njxh,iv:bG1irsDENwIImvOoP5EJSiH4fsESQG0JiqcUERTUq8Y=,tag:8zYZaH/LGGBldwejNQMLHQ==,type:str]
          targetPort: ENC[AES256_GCM,data:XhjGPA==,iv:kFCryhaKK1z5xbo9HjdtRQuaGEwkb/uQD8WFrzwd3p8=,tag:m5YZmBhPNVuOp4NEmy/zZQ==,type:int]
    type: ClusterIP
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBlSHpzdlhqRXBEaFp4c0Z6
            NzM3dHJpaW1EajZYS1ZjcURFc3FJZDMxMlZJCmYvUlZ1NU5jdHJGczRSUXNKOFZt
            bjAzMHNVck1tRXQyaU5kdHEwRkRBOGsKLS0tIERtU0dRb2c3WFhqZTVuY0swQU1Q
            Z0J6RlVBcmt4M1hYKzQ4Q2ZleGhyL28KmeedIYmNnb2c62iz31iuZgmh5JdnYcpd
            hQVq7FGVG0Vif9GANwgwq7I637TF9O0RYgp6daXPBwY4jLCwNGsoJA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:01Z"
    mac: ENC[AES256_GCM,data:8Tgpnd+1x4o9I0UwnvCwwqwjj/VmhTgVbF27XHGJJjHsi94xNy3JonmNed1V2JhCZ5YtvYjDoQUriyxAtUjPNgj5IotTfB59ttbxVF54KpLoNre2GTtRwGSGnfVaVcfoigCSljPLS7l8vrCAlE4Er8twuijZ5iv/haJPyd4DoNY=,iv:hErOQ8efQXa4sM1+PT7tlAyGgH9QAjeKZ0VmXIUFdrw=,tag:Seof0uyzM2HfHxD+BhW+6g==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    namespace: home-stuff
    name: gome-assistant-ingress
    annotations:
        # < use the nginx ingress controller
        kubernetes.io/ingress.class: nginx
        # < use letsencrypt-prod application in kubernetes to generate ssl certificate
        cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
    tls:
        - hosts:
            - ENC[AES256_GCM,data:LduYiXX20Jg/P0+hT+x9HfRJlYiE3FrEyQ==,iv:9Jh+Kcc3chCOEb+qvnzmLVypeKdW+L+pxwPZ5sz2A+g=,tag:GQmdLuEV9QJCI+harwwSjQ==,type:comment]
            - ENC[AES256_GCM,data:gnFLSHlbv72wV4/Z,iv:MjmMyKm9H9oP7Gbu+lRD4uvthrX9sJ3Cw54i+a6CBXo=,tag:XXMDnodCMDs5quJjIyhaUg==,type:str]
          #ENC[AES256_GCM,data:7hjdQ/Mp+84+o1gM1wAu1jm2xkAqVgYcagvSC/dHUS/UTW/mjyQZqd/yQe8Q5Ti+rBAcTDKJ/sOt,iv:a6MRYPlqzlH6zISB8W3686oU/JsB2e0SC0uBfXeGVk0=,tag:3znVhjKesQoRHtiWW6EqTA==,type:comment]
          secretName: ENC[AES256_GCM,data:QZ881xgY,iv:jgEshjkWr8U0MKzA93L45Gb3jUrHceHi2NK/vYYkJDo=,tag:7CRHENgO2rBclguWNT/6Xw==,type:str]
    rules:
        - ENC[AES256_GCM,data:uL6m9varvgX0gavfX55A+kcQnEWpdrpDfQ==,iv:Uw0IUKvCgmN8UwFekK/aACDJlsA0BYCwe6nFnjFtddk=,tag:yebXq6Clpe8hQHHoPuEj9A==,type:comment]
        - host: ENC[AES256_GCM,data:aoEMPfkm56zs7zWC,iv:wpek8F2HM7GOqkCdTIq3KePvW5sD0a8n21Tpw09DLe4=,tag:bdEkFcnsJlj7dpArRWYtFg==,type:str]
          http:
            paths:
                - ENC[AES256_GCM,data:kYkYSIzAd9qjLAJGtqUWqBKEKMs5QVL4tL5o38P3l/3Fjz2zpKjg8SKEbMrT5+V6NocGSKW2UnGF/VNU6Nt8rPu4wteA,iv:YymFzVfQ60xDi3J+48tP8K9XVkBGk6zCLgOfK/c9k8k=,tag:aY3Bl8mXSP/S+rKVqA9NoQ==,type:comment]
                - path: ENC[AES256_GCM,data:ZA==,iv:b4M6hpDTJEcHW70XYTnUCLnZ1uqZg0AkfZecsCMaGV0=,tag:gBGTUbDqvQNmH2n764uUrQ==,type:str]
                  pathType: ENC[AES256_GCM,data:PUVnOcqZ,iv:p7tbMZsBSiU2EY7GhecvWkboDn3zT9DOCRIe8k43zvc=,tag:wmrCkT2P9JPy2ajp0hiVYA==,type:str]
                  backend:
                    service:
                        #ENC[AES256_GCM,data:KrQSn9U1beBCrL5wIzbx8eTT3IT44dtpm/NO1DriCLhdxdUBaLMAdFxsjAp36Pz/LaKEIRFcEfdUiebb3xeT,iv:iW8lXJsoOaT5Q5qQBo44nouG+lZh3ZtdTz5+nL45p3g=,tag:UvepEPpfAiqwXZuyyDfO/w==,type:comment]
                        name: ENC[AES256_GCM,data:wSvj2Mvfw0vBNpMHc7L6nU0s,iv:/atEhKoONBGu2KWEUONdvmstZEAKNAuBXpi/EPyjT0Y=,tag:rnWAnYEJGH8iwHdLwBN83g==,type:str]
                        port:
                            #ENC[AES256_GCM,data:TT+T+x9b/Le0A6S6LJONb6C2e4rlUZYQbsaADwqrVhtn12PI3G+Cf0aZsyTysUoxHBaX3ZzFiJ43aVo7,iv:YRmeoVuwdXCcWtG9ChrEYz4jjVQ42Ra/j47p4etRbnQ=,tag:n8zzgyoRoSA7bR9nHC0BHA==,type:comment]
                            number: ENC[AES256_GCM,data:PBUe,iv:gcnWPd45SPpZjuAFY36xjQofcsezlA2Q3wK3tYq/nFQ=,tag:/ryN3k+Ouwtfxv2/M2qPcw==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBlSHpzdlhqRXBEaFp4c0Z6
            NzM3dHJpaW1EajZYS1ZjcURFc3FJZDMxMlZJCmYvUlZ1NU5jdHJGczRSUXNKOFZt
            bjAzMHNVck1tRXQyaU5kdHEwRkRBOGsKLS0tIERtU0dRb2c3WFhqZTVuY0swQU1Q
            Z0J6RlVBcmt4M1hYKzQ4Q2ZleGhyL28KmeedIYmNnb2c62iz31iuZgmh5JdnYcpd
            hQVq7FGVG0Vif9GANwgwq7I637TF9O0RYgp6daXPBwY4jLCwNGsoJA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:01Z"
    mac: ENC[AES256_GCM,data:8Tgpnd+1x4o9I0UwnvCwwqwjj/VmhTgVbF27XHGJJjHsi94xNy3JonmNed1V2JhCZ5YtvYjDoQUriyxAtUjPNgj5IotTfB59ttbxVF54KpLoNre2GTtRwGSGnfVaVcfoigCSljPLS7l8vrCAlE4Er8twuijZ5iv/haJPyd4DoNY=,iv:hErOQ8efQXa4sM1+PT7tlAyGgH9QAjeKZ0VmXIUFdrw=,tag:Seof0uyzM2HfHxD+BhW+6g==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
